#include <stdio.h>
#include <stdlib.h>

#include "motifs/motifs.h"
#include "melodie/melodie.h"

#define DEF_NBR_TMP 16
#define MAX_PATTERNS 256

// Les fonctions de ce fichiers autres que main sont des fonction de débug.

void afficherMotif(Motif* m, int nbrPortees){
	printf("%s  :\n",m->nom);
	for (int tmp = 0; tmp < m->nbrTmp; tmp++){
		for (int portee = 0; portee < nbrPortees; portee++){
			printf("%d ",getNote(m,portee,tmp));
		}
		printf("\n");
	}
}

int main(){
	Motif* melodie[MAX_PATTERNS] = {NULL};
	Motif* liste = NULL;
	int nbrPortees = 1;
	courant = 0;
	taille = 0;
	ajouterMotif(&liste, DEF_NBR_TMP, nbrPortees);
	Motif* m = liste;
	definirNote(m,0,4,5);
	ajouterMotifVirtuel(melodie,0,m);
	afficherMotif(m,nbrPortees);
	return EXIT_SUCCESS;
}
